> For the complete documentation index, see [llms.txt](https://docs.maple.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maple.finance/technical-resources/interfaces/liquidator-initializer.md).

# LiquidatorInitializer

## Functions

### `collateralAsset`

Returns the address of the collateral asset.

```solidity
    function collateralAsset()
        view
        returns (
            address
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `address` |   `address`   |             |

### `collateralRemaining`

Returns the amount of collateral yet to be liquidated.

```solidity
    function collateralRemaining()
        view
        returns (
            uint256
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `uint256` |   `uint256`   |             |

### `decodeArguments`

```solidity
    function decodeArguments(
        bytes calldata_
    )
        pure
        returns (
            address loanManager_,
            address collateralAsset_,
            address fundsAsset_
        );
```

#### Parameters:

| Index |     Name    |   Type  | Internal Type | Description |
| :---: | :---------: | :-----: | :-----------: | ----------- |
|   0   | `calldata_` | `bytes` |    `bytes`    |             |

#### Return Values:

| Index |        Name        |    Type   | Internal Type | Description |
| :---: | :----------------: | :-------: | :-----------: | ----------- |
|   0   |   `loanManager_`   | `address` |   `address`   |             |
|   1   | `collateralAsset_` | `address` |   `address`   |             |
|   2   |    `fundsAsset_`   | `address` |   `address`   |             |

### `encodeArguments`

```solidity
    function encodeArguments(
        address loanManager_,
        address collateralAsset_,
        address fundsAsset_
    )
        pure
        returns (
            bytes calldata_
        );
```

#### Parameters:

| Index |        Name        |    Type   | Internal Type | Description |
| :---: | :----------------: | :-------: | :-----------: | ----------- |
|   0   |   `loanManager_`   | `address` |   `address`   |             |
|   1   | `collateralAsset_` | `address` |   `address`   |             |
|   2   |    `fundsAsset_`   | `address` |   `address`   |             |

#### Return Values:

| Index |     Name    |   Type  | Internal Type | Description |
| :---: | :---------: | :-----: | :-----------: | ----------- |
|   0   | `calldata_` | `bytes` |    `bytes`    |             |

### `fundsAsset`

Returns the address of the funding asset.

```solidity
    function fundsAsset()
        view
        returns (
            address
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `address` |   `address`   |             |

### `loanManager`

Returns the address of the loan manager contract.

```solidity
    function loanManager()
        view
        returns (
            address
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `address` |   `address`   |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.maple.finance/technical-resources/interfaces/liquidator-initializer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
